<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.formula Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.formula Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/format/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/atp/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.ss.formula</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">AreaEvalBase</span></a> (implements org.apache.poi.ss.formula.eval.<a
                        href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">AreaEval</a>)
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html"
                                title="class in org.apache.poi.ss.formula"><span
                                class="typeNameLink">CacheAreaEval</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                        title="class in org.apache.poi.ss.formula"><span
                        class="typeNameLink">BaseFormulaEvaluator</span></a> (implements org.apache.poi.ss.usermodel.<a
                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                        title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>,
                    org.apache.poi.ss.formula.<a
                            href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                            title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">CollaboratingWorkbooksEnvironment</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">ConditionalFormattingEvaluator</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html"
                        title="class in org.apache.poi.ss.formula"><span
                        class="typeNameLink">DataValidationEvaluator</span></a></li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.DataValidationContext.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">DataValidationEvaluator.DataValidationContext</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationConditionalFormatRule</span></a>
                    (implements java.lang.Comparable&lt;T&gt;)
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.ValueAndFormat.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationConditionalFormatRule.ValueAndFormat</span></a>
                    (implements java.lang.Comparable&lt;T&gt;)
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationWorkbook.ExternalName</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationWorkbook.ExternalSheet</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheetRange.html"
                                title="class in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationWorkbook.ExternalSheetRange</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Formula</span></a></li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/FormulaParser.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">FormulaParser</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/FormulaRenderer.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">FormulaRenderer</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">FormulaShifter</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/NameIdentifier.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">NameIdentifier</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html"
                        title="class in org.apache.poi.ss.formula"><span
                        class="typeNameLink">OperationEvaluationContext</span></a></li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">RefEvalBase</span></a> (implements org.apache.poi.ss.formula.eval.<a
                        href="../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">RefEval</a>)
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/LazyRefEval.html"
                                title="class in org.apache.poi.ss.formula"><span class="typeNameLink">LazyRefEval</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/SharedFormula.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">SharedFormula</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">SheetIdentifier</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/SheetRangeIdentifier.html"
                                title="class in org.apache.poi.ss.formula"><span class="typeNameLink">SheetRangeIdentifier</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/SheetNameFormatter.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">SheetNameFormatter</span></a>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/SheetRangeAndWorkbookIndexFormatter.html"
                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">SheetRangeAndWorkbookIndexFormatter</span></a>
                </li>
                <li type="circle">java.lang.Throwable (implements java.io.Serializable)
                    <ul>
                        <li type="circle">java.lang.Exception
                            <ul>
                                <li type="circle">org.apache.poi.ss.formula.<a
                                        href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.WorkbookNotFoundException.html"
                                        title="class in org.apache.poi.ss.formula"><span class="typeNameLink">CollaboratingWorkbooksEnvironment.WorkbookNotFoundException</span></a>
                                </li>
                                <li type="circle">java.lang.RuntimeException
                                    <ul>
                                        <li type="circle">org.apache.poi.ss.formula.<a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                                                title="class in org.apache.poi.ss.formula"><span class="typeNameLink">FormulaParseException</span></a>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                        title="class in org.apache.poi.ss.formula"><span
                        class="typeNameLink">WorkbookEvaluator</span></a></li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationCell</span></a></li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.ValueFunction.html"
                title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationConditionalFormatRule.ValueFunction</span></a>
        </li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationName</span></a></li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationSheet</span></a>
        </li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationWorkbook</span></a>
        </li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/ExternSheetReferenceToken.html"
                title="interface in org.apache.poi.ss.formula"><span
                class="typeNameLink">ExternSheetReferenceToken</span></a></li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">FormulaParsingWorkbook</span></a>
        </li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                title="interface in org.apache.poi.ss.formula"><span
                class="typeNameLink">FormulaRenderingWorkbook</span></a></li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/IStabilityClassifier.html"
                title="interface in org.apache.poi.ss.formula"><span
                class="typeNameLink">IStabilityClassifier</span></a></li>
        <li type="circle">org.apache.poi.ss.formula.<a href="../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                                       title="interface in org.apache.poi.ss.formula"><span
                class="typeNameLink">SheetRange</span></a>
            <ul>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                        title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">ThreeDEval</span></a>
                    (also extends org.apache.poi.ss.formula.<a
                            href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                            title="interface in org.apache.poi.ss.formula">TwoDEval</a>)
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.ss.formula.eval.<a
                href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                title="interface in org.apache.poi.ss.formula.eval"><span class="typeNameLink">ValueEval</span></a>
            <ul>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                        title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">TwoDEval</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                                title="interface in org.apache.poi.ss.formula"><span
                                class="typeNameLink">ThreeDEval</span></a> (also extends org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                title="interface in org.apache.poi.ss.formula">SheetRange</a>)
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/WorkbookDependentFormula.html"
                title="interface in org.apache.poi.ss.formula"><span
                class="typeNameLink">WorkbookDependentFormula</span></a></li>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                title="interface in org.apache.poi.ss.formula"><span
                class="typeNameLink">WorkbookEvaluatorProvider</span></a></li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.OperatorEnum.html"
                                title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">EvaluationConditionalFormatRule.OperatorEnum</span></a>
                        </li>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.ValidationEnum.html"
                                title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">DataValidationEvaluator.ValidationEnum</span></a>
                        </li>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.OperatorEnum.html"
                                title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">DataValidationEvaluator.OperatorEnum</span></a>
                        </li>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
                                title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">FormulaType</span></a>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/format/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/atp/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
